%define		_beta	10

Name:		tkgate
Version:	2.0
Release:	%mkrel 6
Group:		Education
Summary:	Event driven digital circuit simulator
License:	GPLv2
Source0:	http://www.tkgate.org/downloads/%{name}-%{version}-b%{_beta}.tgz
Patch0:		%{name}-2.0-b10-configureac.patch
Patch1:		%{name}-2.0-b10-formatsecurity.patch
Url:		http://www.tkgate.org

BuildRequires:	tcl-devel
BuildRequires:	tk-devel
BuildRequires:	libice-devel
BuildRequires:	libsm-devel
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick

Requires:	tcl
Requires:	tk

%prep
%setup -q -n %{name}-%{version}-b%{_beta}
%patch0 -p1 -b .tclconfigdir
%patch1 -p1 -b .formatsecurity

sed -i "s|\"\${tkg_gateHome}/libexec/verga\"|\"%{_bindir}/verga\"|" scripts/parms.tcl
# removing backup files
find . -type f -name "*~" -exec rm -f  {} ';'
find . -type f -name "\#*\#" -exec rm -f  {} ';'

%build
autoreconf -fi
%configure
%make

%install
%makeinstall_std

install -d %{buildroot}%{_datadir}/pixmaps/
install -d %{buildroot}%{_datadir}/icons/
convert images/gatelogo.gif %{buildroot}%{_datadir}/pixmaps/%{name}.xpm
convert images/gatelogo.gif %{buildroot}%{_datadir}/icons/%{name}.png
chmod 0644 %{buildroot}%{_datadir}/pixmaps/%{name}.xpm
chmod 0644 %{buildroot}%{_datadir}/icons/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications

cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Digital circuit simulator
GenericName=Verilog circuit simulator
Comment=TkGate
Type=Application
Exec=tkgate
Icon=tkgate
Categories=Engineering;Electronics;Education;
EOF

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%description
TkGate is a event driven digital circuit simulator
with a tcl/tk-based graphical editor.
TkGate supports a wide range of primitive circuit 
elements as well as user-defined modules for 
hierarchical design. 
The distribution comes with a number of tutorial and 
example circuits which can be loaded through the 
"Help" menu. 
The example circuits include a simple CPU, programmed 
to run the Animals game. 
TkGate is free software provided with source code
under the Gnu Public License.

%files
%doc COPYING README
%{_bindir}/gmac
%{_bindir}/%{name}
%{_bindir}/verga
%{_mandir}/man1/gmac*
%{_mandir}/man1/%{name}*
%{_mandir}/man1/verga*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}*
%{_datadir}/icons/%{name}*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 2.0-6.mga4
+ Revision: 519662
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.0-5.mga3
+ Revision: 384601
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 09 2012 matteo <matteo> 2.0-4.mga3
+ Revision: 329035
- use proper icons format (fix mga#7795)

* Fri Aug 03 2012 matteo <matteo> 2.0-3.mga3
+ Revision: 278298
- added missing br

* Fri Aug 03 2012 matteo <matteo> 2.0-2.mga3
+ Revision: 278192
- fixed verga simulator path
- desktop file added
- removed backup files from sources

* Mon Jul 30 2012 matteo <matteo> 2.0-1.mga3
+ Revision: 276214
- imported package tkgate

